Description: Properly pass dpkg build flags
Author: Axel Beckert <abe@debian.org>

Index: keynav/Makefile
===================================================================
--- keynav.orig/Makefile	2013-05-11 23:34:29.128904222 +0200
+++ keynav/Makefile	2013-05-11 23:35:11.721874516 +0200
@@ -1,6 +1,6 @@
-CFLAGS+=$(shell pkg-config --cflags cairo-xlib xinerama glib-2.0 xext x11 2> /dev/null || echo -I/usr/X11R6/include -I/usr/local/include)
+CFLAGS+=$(shell pkg-config --cflags cairo-xlib xinerama glib-2.0 xext x11 2> /dev/null || echo -I/usr/X11R6/include -I/usr/local/include) $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS+=$(shell pkg-config --libs cairo-xlib xinerama glib-2.0 xext x11 2> /dev/null || echo -L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXinerama -lXext -lglib)
-LDFLAGS+=$(shell pkg-config --libs glib-2.0)
+LDFLAGS+=$(shell pkg-config --libs glib-2.0) $(shell dpkg-buildflags --get LDFLAGS)
 
 OTHERFILES=README CHANGELIST COPYRIGHT \
            keynavrc Makefile version.sh VERSION
